> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions.md).

# Betting Descriptions

- [Available Producers](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/available-producers.md): This endpoint returns a list of all odds producers (including the virtual). The list includes the producer ID, name, status, scope (prematch/live/virtual), and stateful recovery window for each produc
- [Endpoint](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/available-producers/endpoint.md)
- [Betstop Descriptions](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/betstop-descriptions.md): This endpoint returns a list of all possible reasons for betstop.
- [Endpoint](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/betstop-descriptions/endpoint.md)
- [Betting Status](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/betting-status.md)
- [Endpoint](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/betting-status/endpoint.md): This endpoint returns a list of all possible betting statuses (in odds\_changes.odds). Note: The betting status description is only sent when (if) the Live Odds producer is in early betstart.
- [Market Descriptions](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/market-descriptions.md): This endpoint defines all the available markets (covered by SR). It includes details such as outcomes, specifiers, and mapping outcomes for each market.
- [Endpoint](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/market-descriptions/endpoint.md)
- [Match Status](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/match-status.md): This endpoint provides info related to the match status, the correspondence between the id of the status and the descprition of the status and the sports to which such match status are referred to.
- [Endpoint](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/match-status/endpoint.md)
- [Variant Descriptions](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/variant-descriptions.md): Attributes   id  Producer Id as sent in messages  active  Set to true if this producer is activated for the calling client otherwise false.  api\_url  The API starting-url that can be used to request r
- [Endpoint](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/variant-descriptions/endpoint.md)
- [Variant Market Description Direct](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/variant-market-description-direct.md): This endpoint provides market descriptions and outcomes for markets from odds/settlement, containing "variant=\<urn>".
- [Endpoint](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/variant-market-description-direct/endpoint.md)
- [Variant Market Descriptions](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/variant-market-descriptions.md)
- [Endpoint](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/variant-market-descriptions/endpoint.md)
- [Void Reasons](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/void-reasons.md)
- [Endpoint](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/void-reasons/endpoint.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
